# Formulaire de Contact Moderne

Un formulaire de contact moderne avec CAPTCHA mathématique intégré.

## Fonctionnalités

- Design responsive et moderne
- CAPTCHA mathématique avec opérations aléatoires (addition, soustraction, multiplication)
- Validation côté client et serveur
- Rafraîchissement automatique du CAPTCHA
- Protection contre les robots
- Interface utilisateur intuitive

## Prérequis

- Serveur web avec PHP 7.0+
- Serveur SMTP configuré pour l'envoi d'emails

## Installation

1. Clonez ce dépôt dans votre répertoire web :
```bash
git clone https://votre-repo/contact-form.git
```

2. Configurez les permissions :
```bash
chmod 755 -R contact-form
```

3. Modifiez l'adresse email dans `process.php` :
```php
$to = "votre@email.com"; // Remplacez par votre adresse email
```

## Structure du Projet

```
contact/
├── css/
│   └── style.css
├── js/
│   └── script.js
├── index.html
├── process.php
├── README.md
└── LICENSE
```

## Utilisation

1. Ouvrez `index.html` dans votre navigateur
2. Remplissez le formulaire
3. Résolvez le CAPTCHA mathématique
4. Soumettez le formulaire

## Personnalisation

- Modifiez les couleurs dans `css/style.css` en changeant les variables CSS
- Ajustez la difficulté du CAPTCHA dans `js/script.js`
- Personnalisez le template d'email dans `process.php`

## Licence

Ce projet est sous licence GNU GPL v3 - voir le fichier [LICENSE](LICENSE) pour plus de détails.
